/**
 * 合同服务系统
 */

import res from '@/utils/system/request.js'

// 分页查询运单列表 根据运单编号进行筛选
export const queryWaybillByCondition = (params) => res('post', 'apiTms', '/admin/waybills/queryWaybillByCondition',params,{form:true})

// 查询异常运单列表   type = DEVICE 设备异常,  type = LOADING 装货地异常  ， type  = UNLOAD 卸货地异常
export const queryWaybillExceptionByCondition = (params) => res('post', 'apiTms', '/admin/waybills/queryWaybillExceptionByCondition',params,{form:true})

//查询轨迹
export const truckTrackQueryByWaybillNum = (params) => res('post', 'apiTms', '/transwiseway/truckTrackQueryByWaybillNum',params,{form:true})

//供应商仓库列表
export const warehouseList = (params) => res('post', 'apiTms', '/warehouse/review',params,{form:true})

//供应商仓库-审核通过
export const warehouseApprove = (params) => res('post', 'apiTms', '/warehouse/'+params.id+'/approve',params,{form:true})

//供应商仓库-审核拒绝
export const warehouseReject = (params) => res('post', 'apiTms', '/warehouse/'+params.id+'/reject',params,{form:true})